%define debug_package %{nil}

Summary: GUI interface for su sudo
Name: xroot
Version: 0.0.6
Release: 5
License: GPL2
Group: System/Configuration/Other
Url: http://code.google.com/p/xroot/
Source0: %{name}-src-%{version}.tar.gz
Source1: msegui.tar.gz
Requires: libx11-common
BuildRequires: pkgconfig(x11)
BuildRequires:	gcc
BuildRequires:	fpc-src >= 2.6.0
BuildRequires:	fpc >= 2.6.0
BuildRequires:	unzip

%description
Tool for quick and easy elevate privileges to root

%prep

%setup -q -n %{name}-src-%{version}
cp %SOURCE1 %{_builddir}/
tar -xzf  %{SOURCE1}
rm -rf ./mseide-msegui
mkdir ./mseide-msegui
mv ./msegui/* ./mseide-msegui
rm -rf ./msegui

%build
rm -rf ./msegui
tar -xzf  %{SOURCE1}
rm -rf ./mseide-msegui
mkdir ./mseide-msegui
mv ./msegui/* ./mseide-msegui
rm -rf ./msegui

%ifarch x86_64
./build_xroot_without_gui_64
%else
./build_xroot_without_gui_32
%endif

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
cp -f ./xroot/%{name} %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -f ./%{name}.png %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 ./%{name}.desktop %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_docdir}/xroot
cp -f ./wiki/* %{buildroot}%{_docdir}/xroot/

%files
%defattr(-,root, root)

%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_docdir}/xroot/*

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.0.6-5
+ Revision: cdb7093
- MassBuild#440: Increase release tag


